Subject: RE: [PATCH net] net: txgbe: fix MSI and INTx interrupts

From: Jiawen Wu <[email-masked]>
Date: Wed, 26 Jun 2024 11:11:04 +0800

On Tue, June 25, 2024 7:41 PM, Przemek Kitszel wrote:
> On 6/21/24 10:09, Jiawen Wu wrote:
> > When using MSI or INTx interrupts, request_irq() for pdev->irq will
> > conflict with request_threaded_irq() for txgbe->misc.irq, to cause
> > system crash.
> >
> > Fixes: aefd013624a1 ("net: txgbe: use irq_domain for interrupt controller")
> > Signed-off-by: Jiawen Wu <[email-masked]>
> > ---
> >   drivers/net/ethernet/wangxun/libwx/wx_lib.c   |  13 +-
> >   .../net/ethernet/wangxun/txgbe/txgbe_irq.c    | 122 +++++++-----------
> >   .../net/ethernet/wangxun/txgbe/txgbe_irq.h    |   2 +-
> >   .../net/ethernet/wangxun/txgbe/txgbe_main.c   |   3 +-
> >   4 files changed, 59 insertions(+), 81 deletions(-)
> >
> 
> Please split into two commits (by prepending one commit that will just
> move/rename function/s) to avoid inflating the diff of the actual fix.
> This will ease the review process.

I will split it into two commits to make it easier to review, but it may not
be just renaming the function in one commit.